Index: c/src/lib/libbsp/m68k/mvme167/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme167/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/mvme167/configure.in	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -23,4 +23,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/mvme167/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/mvme167/include/.cvsignore	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/mvme167/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/mvme167/include/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,36 +5,20 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h $(srcdir)/../../mvme162/include/mvme16x_hw.h \
-    page_table.h fatal.h
+include_HEADERS = bsp.h coverhd.h mvme16x_hw.h page_table.h fatal.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
+mvme16x_hw.h: $(srcdir)/../../mvme162/include/mvme16x_hw.h
+	cp $< $@
+CLEANFILES += mvme16x_hw.h
 
-$(PROJECT_INCLUDE)/fatal.h: fatal.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/mvme16x_hw.h: \
-    $(srcdir)/../../mvme162/include/mvme16x_hw.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/page_table.h: page_table.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/fatal.h: fatal.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h $(PROJECT_INCLUDE)/mvme16x_hw.h \
-    $(PROJECT_INCLUDE)/page_table.h $(PROJECT_INCLUDE)/fatal.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h fatal.h page_table.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme167/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/mvme167/include/bsp.h	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -26,4 +26,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/ods68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/ods68302/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/ods68302/configure.in	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -20,4 +20,5 @@
 RTEMS_CANONICAL_HOST
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/ods68302/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/ods68302/include/.cvsignore	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/ods68302/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/ods68302/include/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,35 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bare.h bsp.h coverhd.h crc.h debugport.h m68302scc.h
+include_HEADERS = bare.h bsp.h coverhd.h crc.h debugport.h m68302scc.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bare.h: bare.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/crc.h: crc.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/debugport.h: debugport.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/m68302scc.h: m68302scc.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bare.h \
-    $(PROJECT_INCLUDE)/bsp.h $(PROJECT_INCLUDE)/coverhd.h \
-    $(PROJECT_INCLUDE)/crc.h $(PROJECT_INCLUDE)/debugport.h \
-    $(PROJECT_INCLUDE)/m68302scc.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADER:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bare.h bsp.h coverhd.h crc.h debugport.h m68302scc.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/ods68302/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/ods68302/include/bsp.h	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -21,4 +21,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/sim68000/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/sim68000/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/sim68000/configure.in	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -19,5 +19,7 @@
 RTEMS_CHECK_BSP_CACHE(RTEMS_BSP)
 RTEMS_CANONICAL_HOST
+
 RTEMS_PROJECT_ROOT
+AM_CONFIG_HEADER(include/bspopts.h)
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/sim68000/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/sim68000/include/.cvsignore	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/sim68000/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/sim68000/include/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,21 +5,21 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h ../../../shared/include/coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
+
+coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
+	cp $< $@
+
+CLEANFILES += coverhd.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: ../../../shared/include/coverhd.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/sim68000/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/m68k/sim68000/include/bsp.h	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -20,4 +20,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/mips64orion/p4000/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/mips64orion/p4000/ChangeLog	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips64orion/p4000/configure.in
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/mips64orion/p4000/configure.in	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -20,4 +20,5 @@
 RTEMS_CANONICAL_HOST
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/mips64orion/p4000/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/mips64orion/p4000/include/.cvsignore	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/mips64orion/p4000/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/mips64orion/p4000/include/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,5 +5,5 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
@@ -13,9 +13,7 @@
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%.h=$(PROJECT_INCLUDE)/%.h)
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/mips64orion/p4000/include/bsp.h
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/mips64orion/p4000/include/bsp.h	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -22,4 +22,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/powerpc/eth_comm/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,10 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* vectors/Makefile.am: Ditto.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/eth_comm/configure.in
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/eth_comm/configure.in	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -24,4 +24,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/powerpc/eth_comm/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/eth_comm/include/.cvsignore	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/powerpc/eth_comm/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/eth_comm/include/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,7 +5,8 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h canbus.h info.h
+include_bspdir = $(includedir)/bsp
 
-BSP_H_FILES = commproc.h 8xx_immap.h
+include_HEADERS = bsp.h coverhd.h canbus.h info.h bspopts.h
+include_bsp_HEADERS = commproc.h 8xx_immap.h
 
 $(PROJECT_INCLUDE):
@@ -15,30 +16,15 @@
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/canbus.h: canbus.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/info.h: info.h
-	$(INSTALL_DATA) $< $@
-
- $(PROJECT_INCLUDE)/bsp/commproc.h : commproc.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/bsp/8xx_immap.h : 8xx_immap.h
+ $(PROJECT_INCLUDE)/bsp/%.h : %.h
 	$(INSTALL_DATA) $< $@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp \
-	$(PROJECT_INCLUDE)/bsp.h $(PROJECT_INCLUDE)/info.h \
-	$(PROJECT_INCLUDE)/coverhd.h $(PROJECT_INCLUDE)/canbus.h \
-	$(PROJECT_INCLUDE)/bsp/commproc.h $(PROJECT_INCLUDE)/bsp/8xx_immap.h
+	$(include_HEADERS:%=$(PROJECT_INCLUDE)/%) \
+	$(include_bsp_HEADERS:%=$(PROJECT_INCLUDE)/bsp/%)
 
 all-local: $(PREINSTALL_FILES)
 
-EXTRA_DIST = bsp.h canbus.h coverhd.h info.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/eth_comm/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/eth_comm/include/bsp.h	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -21,4 +21,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/powerpc/eth_comm/irq/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/irq/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/eth_comm/irq/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,8 +5,10 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
+include_bspdir = $(includedir)/bsp
+
 C_FILES = irq.c irq_init.c
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = irq.h
+include_bsp_HEADERS = irq.h
 
 S_FILES = irq_asm.S
@@ -19,4 +21,5 @@
 include $(top_srcdir)/../../../../../../automake/lib.am
 
+## FIXME: WTF is this?
 SORDID_HACK:
 	rm -f $(PROJECT_INCLUDE)/bsp/irq.h
@@ -29,5 +32,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/bsp/%.h)
+    $(include_bsp_HEADERS:%=$(PROJECT_INCLUDE)/bsp/%)
 
 #
Index: c/src/lib/libbsp/powerpc/eth_comm/vectors/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/vectors/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/eth_comm/vectors/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -10,5 +10,6 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = vectors.h
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS = vectors.h
 
 S_FILES = vectors.S
@@ -31,8 +32,9 @@
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp/vectors.h: vectors.h
+$(PROJECT_INCLUDE)/bsp/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp $(PROJECT_INCLUDE)/bsp/vectors.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp \
+   $(include_bsp_HEADERS:%=$(PROJECT_INCLUDE)/bsp/%)
 
 all-local: $(ARCH) $(PREINSTALL_FILES) $(OBJS)
Index: c/src/lib/libbsp/powerpc/helas403/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/helas403/ChangeLog	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/helas403/configure.in
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/helas403/configure.in	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -24,4 +24,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/powerpc/helas403/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/helas403/include/.cvsignore	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/powerpc/helas403/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/helas403/include/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,21 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/helas403/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/helas403/include/bsp.h	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -44,4 +44,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 /*
Index: c/src/lib/libbsp/powerpc/papyrus/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/papyrus/ChangeLog	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/papyrus/configure.in
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/papyrus/configure.in	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -24,4 +24,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/powerpc/papyrus/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/papyrus/include/.cvsignore	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/powerpc/papyrus/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/papyrus/include/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,21 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/papyrus/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/papyrus/include/bsp.h	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -36,4 +36,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 /*
Index: c/src/lib/libbsp/powerpc/ppcn_60x/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/ppcn_60x/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/ppcn_60x/ChangeLog	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/ppcn_60x/configure.in
===================================================================
--- c/src/lib/libbsp/powerpc/ppcn_60x/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/ppcn_60x/configure.in	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -27,5 +27,7 @@
 # AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
+
 RTEMS_PROJECT_ROOT
+AM_CONFIG_HEADER(include/bspopts.h)
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/powerpc/ppcn_60x/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/ppcn_60x/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/ppcn_60x/include/.cvsignore	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/powerpc/ppcn_60x/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/ppcn_60x/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/ppcn_60x/include/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,33 +5,19 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h ../../../shared/include/coverhd.h tod.h nvram.h \
-    pci.h
+include_HEADERS = bsp.h coverhd.h tod.h nvram.h pci.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %p.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: ../../../shared/include/coverhd.h
+coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/tod.h: tod.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/nvram.h: nvram.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/pci.h: pci.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h \
-    $(PROJECT_INCLUDE)/tod.h $(PROJECT_INCLUDE)/nvram.h \
-    $(PROJECT_INCLUDE)/pci.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h chain.h extisrdrv.h nvram.h pci.h tod.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/ppcn_60x/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/ppcn_60x/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/ppcn_60x/include/bsp.h	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -29,4 +29,6 @@
 #ifndef __BSP_h
 #define __BSP_h
+
+#include <bspopts.h>
 
 #ifdef __cplusplus
Index: c/src/lib/libbsp/powerpc/psim/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/psim/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/psim/ChangeLog	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/psim/configure.in
===================================================================
--- c/src/lib/libbsp/powerpc/psim/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/psim/configure.in	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -25,4 +25,5 @@
 RTEMS_CONFIG_BUILD_SUBDIRS(tools)
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/powerpc/psim/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/psim/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/psim/include/.cvsignore	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/powerpc/psim/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/psim/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/psim/include/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,21 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/psim/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/psim/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/powerpc/psim/include/bsp.h	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -36,4 +36,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 /*
Index: c/src/lib/libbsp/sparc/erc32/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/erc32/ChangeLog	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/sparc/erc32/ChangeLog	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sparc/erc32/configure.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/configure.in	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/sparc/erc32/configure.in	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -25,4 +25,11 @@
 RTEMS_CONFIG_BUILD_SUBDIRS(tools)
 
+## bsp-specific options
+CONSOLE_USE_INTERRUPTS=${CONSOLE_USE_INTERRUPTS-0}
+AC_DEFINE_UNQUOTED([CONSOLE_USE_INTERRUPTS],
+  [$CONSOLE_USE_INTERRUPTS],
+  [whether using console interrupts])
+
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/sparc/erc32/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/sparc/erc32/include/.cvsignore	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/sparc/erc32/include/.cvsignore	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/sparc/erc32/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/include/Makefile.am	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/sparc/erc32/include/Makefile.am	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -5,5 +5,5 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h erc32.h
+include_HEADERS = bsp.h coverhd.h erc32.h bspopts.h
 
 $(PROJECT_INCLUDE):
@@ -13,9 +13,8 @@
 	$(INSTALL_DATA) $< $@
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%.h=$(PROJECT_INCLUDE)/%.h)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(PREINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/sparc/erc32/include/bsp.h
===================================================================
--- c/src/lib/libbsp/sparc/erc32/include/bsp.h	(revision c4d922162548bcf8adffec2d93ad8bd99d33d9d3)
+++ c/src/lib/libbsp/sparc/erc32/include/bsp.h	(revision 4906d72f85401eefbd214f7b124e85f972bb97cd)
@@ -26,4 +26,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
